var util = require('../../utils/util.js');
var api = require('../../config/api.js');


var app = getApp();

Page({
  data: {
    id: 0,
    brand: {},
    goodsList: [],
    page: 1,
    size: 100,
    nodes: []
  },
  onLoad: function (options) {
    // 页面初始化 options为页面跳转所带来的参数
    var that = this;
    that.setData({
      id: parseInt(options.id)
    });
    this.getBrand();
  },
  getBrand: function () {
    let that = this;
    util.request(api.BrandDetail, {
      id: that.data.id
    }).then(function (res) {
      if (res.errno === 0) {
        that.setData({
          brand: res.data.brand
        });
        that.configNode(res.data.brand.desc);
        that.getGoodsList();
      }
    });
  },
  configNode(desc) {
    let _tempDesc = desc.split('|'),
     _tempNodes = [];
    for(let i=0; i<_tempDesc.length;i++) {
      let _tempObj = {
        name: 'div',
        attrs: {
          class: 'div_class',
          style: 'color: #666666; font-size: 30rpx; margin-left:31rpx;'
        },
        children: [{
          type: 'text',
          text: ""
        }]
      };
      _tempObj.children[0].text = _tempDesc[i];
      _tempNodes.push(_tempObj);
    }
    this.setData({
      nodes: _tempNodes
    })
  },
  getGoodsList() {
    var that = this;

    util.request(api.GoodsList, {
      brandId: that.data.id,
      page: that.data.page,
      size: that.data.size
    })
      .then(function (res) {
        if (res.errno === 0) {
          that.setData({
            goodsList: res.data.goodsList
          });
        }
      });
  },
  onReady: function () {
    // 页面渲染完成
  },
  onShow: function () {
    // 页面显示

  },
  onHide: function () {
    // 页面隐藏

  },
  onUnload: function () {
    // 页面关闭

  }
})