var util = require('../../utils/util.js');
var api = require('../../config/api.js');
//获取应用实例
const app = getApp();

Page({
  data: {
    searchStatus:false,
    historyKeyword:'',
    keywrod: '',
    page: 1,
    size: 10,
    count: 0,
    currentSortOrder: 'desc',
    currentSortType: 'default',
    currentSort: 'update_time',
    categoryId: 0,
    goodsList: [],
    categoryList: [],
    currentCategory: {},
    currentSubCategoryList: {},
    scrollLeft: 0,
    scrollTop: 0,
    goodsCount: 0,
    scrollHeight: 0,
    searchEscShow: false
  },

  getCatalog: function () {
    //CatalogList
    let that = this;
    wx.showLoading({
      title: '加载中...',
    });
    util.request(api.CatalogList).then(function (res) {
      that.setData({
        categoryList: res.data.categoryList,
        currentCategory: res.data.currentCategory,
        currentSubCategoryList: res.data.currentSubCategory
      });
      wx.hideLoading();
    });
    util.request(api.GoodsCount).then(function (res) {
      that.setData({
        goodsCount: res.data.goodsCount
      });
    });

  },

  getCurrentCategory: function (id) {
    let that = this;
    util.request(api.CatalogCurrent, {
      id: id
    })
      .then(function (res) {
        that.setData({
          currentCategory: res.data.currentCategory,
          currentSubCategoryList: res.data.currentSubCategory
        });
      });
  },

  switchCate: function (event) {
    var that = this;
    var currentTarget = event.currentTarget;
    if (this.data.currentCategory.id == event.currentTarget.dataset.id) {
      return false;
    }

    this.getCurrentCategory(event.currentTarget.dataset.id);
  },

  onShareAppMessage: function () {
    return {
      title: '戈友商城',
      desc: '戈友商城',
      path: '/pages/index2/index2'
    }
  },
  // type 1 为加载更多 0 为刷新
  getGoodsList(type) {
    var that = this;
    util.request(api.GoodsList, {
      isHot: true,
      page: that.data.page,
      size: that.data.size,
      order: that.data.currentSortOrder,
      sort: that.data.currentSort,
      categoryId: that.data.categoryId
    })
      .then(function (res) {
        wx.stopPullDownRefresh();
        if (res.errno === 0) {
          console.log(res.data)
          if (type == 1) {
            let goodsList = that.data.goodsList;
            goodsList = goodsList.concat(res.data.goodsList);
            that.setData({
              count: res.data.count,
              goodsList
            });
          } else {
            that.setData({
              count: res.data.count,
              goodsList: res.data.goodsList
            });
          }
        }
      });

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    console.log("下拉刷新")
    let that = this;
    that.setData({
      page: 1,
    })
    that.getGoodsList(0);
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    console.log("上拉加载")
    let that = this,
      page = this.data.page,
      count = this.data.count;
    if (page * 10 > count) {
      wx.showToast({
        icon: 'none',
        title: '更多精品尽在分类',
      })
    } else {
      that.setData({
        loading: true,  //把"上拉加载"的变量设为false，显示 
        page: page + 1
      })
      // 上拉获取更多数据
      that.getGoodsList(1);
    }
  },
  /**
   * 点击取消的时候
   */
  hideSearch(){
    console.log(222)
    this.getSearchKeyword();
    this.setData({
      searchEscShow: false,
      searchStatus:false
    })
    this.getGoodsList();
  },
  /**
   * 输入框获取焦点的时候
   */
  searchFocus() {
    this.getSearchKeyword()
    this.setData({
      searchEscShow: true,
      searchStatus:false
    })
    console.log("输入框获取了焦点")
  },

  /**
   * 输入框失去焦点的时候
   */
  searchChange() {
    
    console.log("输入框失去了焦点")
  },
  clearKeyword: function () {
    this.getSearchKeyword();
    this.setData({
      keyword: '',
      searchStatus: false,
      searchEscShow: true

    });
  },
  /**
   * 搜索
   */
  onKeywordConfirm(event) {
    console.log(event.detail.value)
    this.getSearchResult(event.detail.value);
  },
  getSearchResult(keyWord){
    let type=''
    var that = this;
    util.request(api.GoodsList, {
      keyword: keyWord,
      isHot: true,
      page: that.data.page,
      size: that.data.size,
      order: that.data.currentSortOrder,
      sort: that.data.currentSort,
      categoryId: that.data.categoryId
    })
      .then(function (res) {
        wx.stopPullDownRefresh();
        if (res.errno === 0) {
          console.log(res.data)
            // let goodsList = that.data.goodsList;
            // goodsList = goodsList.concat(res.data.goodsList);
          if (res.data.goodsList.length===0){
            console.log(22222222222222222)
            that.setData({
              searchStatus: true,
              searchEscShow: false,
              count: res.data.count,
              goodsList: res.data.goodsList
            })
          }else{
            console.log(33333333333333333333)
            that.setData({
              searchEscShow: false,
              count: res.data.count,
              goodsList: res.data.goodsList
            })
          }
          // that.setData({
            
          // });
          
        }
      });
  },
  /**
   * 输入框改变
   */
  inputChange: function (e) {
    this.setData({
      keyword: e.detail.value
    });
  },

  onLoad: function (options) {
    // 页面初始化 options为页面跳转所带来的参数
    console.log("options", options);
    // 页面初始化 options为页面跳转所带来的参数
    if (options.scene) {
      //这个scene的值存在则证明首页的开启来源于朋友圈分享的图,同时可以通过获取到的goodId的值跳转导航到对应的详情页
      var scene = decodeURIComponent(options.scene);
      console.log("scene:" + scene);

      let info_arr = [];
      info_arr = scene.split(',');
      let _type = info_arr[0];
      let id = info_arr[1];

      if (_type == 'goods') {
        wx.navigateTo({
          url: '../goods/goods?id=' + id
        });
      } else if (_type == 'groupon') {
        wx.navigateTo({
          url: '../goods/goods?grouponId=' + id
        });
      } else {
        wx.navigateTo({
          url: '../index2/index2'
        });
      }
    }

    // 页面初始化 options为页面跳转所带来的参数
    if (options.grouponId) {
      //这个pageId的值存在则证明首页的开启来源于用户点击来首页,同时可以通过获取到的pageId的值跳转导航到对应的详情页
      wx.navigateTo({
        url: '../goods/goods?grouponId=' + options.grouponId
      });
    }

    // 页面初始化 options为页面跳转所带来的参数
    if (options.goodId) {
      //这个goodId的值存在则证明首页的开启来源于分享,同时可以通过获取到的goodId的值跳转导航到对应的详情页
      wx.navigateTo({
        url: '../goods/goods?id=' + options.goodId
      });
    }

    // 页面初始化 options为页面跳转所带来的参数
    if (options.orderId) {
      //这个orderId的值存在则证明首页的开启来源于订单模版通知,同时可以通过获取到的pageId的值跳转导航到对应的详情页
      wx.navigateTo({
        url: '../ucenter/orderDetail/orderDetail?id=' + options.orderId
      });
    }
    this.getGoodsList();

    this.getCatalog();
  },
  onShow:function(){
    this.setData({
      searchEscShow:false
    })
  },
  //查询历史记录
  getSearchKeyword() {
    let that = this;
    util.request(api.SearchIndex).then(function (res) {
      if (res.errno === 0) {
        console.log(res.data.historyKeywordList)
        that.setData({
          historyKeyword: res.data.historyKeywordList,
          // defaultKeyword: res.data.defaultKeyword,
          // hotKeyword: res.data.hotKeywordList
        });
      }
    });
  },
  //点击历史记录
  onKeywordTap: function (event) {

    this.getSearchResult(event.target.dataset.keyword);
    this.setData({
      keyword:event.target.dataset.keyword
    })

  },
  clearHistory:function(){
    this.setData({
      historyKeyword: []
    })

    util.request(api.SearchClearHistory, {}, 'POST')
      .then(function(res) {
        console.log('清除成功');
      });
  }
})