var util = require('../../../utils/util.js');
var api = require('../../../config/api.js');
var app = getApp();

Page({
  data: {
    name: ''
  },
  onLoad: function(options) {
    this.setData({
      name: options.nickName
    })
    // 页面初始化 options为页面跳转所带来的参数
  },
  clearName: function() {
    this.setData({
      name: ""
    })
  },
  onReady: function() {

  },
  onShow: function() {
    if (app.globalData.hasLogin) {
      let userInfo = wx.getStorageSync('userInfo');
      this.setData({
        userInfo: userInfo
      })
    }
  },
  onHide: function() {
    // 页面隐藏

  },
  onUnload: function() {
    // 页面关闭
    this.makeName(this.data.name);
  },
  /**
   * @param {String} 昵称
   */
  makeName(nickName) {
    util.request(api.UserNickName, {nickName},"POST").then(function (res) {
      if (res.errno === 0) {
        console.log(res)
      }
    });
  },
  /**
   * @param {Object} 事件对象
   * @param {String} 提交的类别名称
   */
  confirm(e) {
    let inputValue = e.detail.value;
    this.setData({
      name: inputValue
    })
  },
})